> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggest



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/suggestions
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/item-drafts/suggestions:
    post:
      tags:
        - Item Magic Fill
      summary: Suggest
      operationId: ItemMagicFillController_suggest_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: projectId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MagicFillInputDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MagicFillResponseDto'
components:
  schemas:
    MagicFillInputDto:
      type: object
      properties:
        itemId:
          anyOf:
            - type: string
              pattern: ^[1-9]\d*$
            - type: 'null'
        version:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
              maximum: 9007199254740991
            - type: 'null'
        name:
          type: string
          maxLength: 200
        categoryId:
          anyOf:
            - type: string
              pattern: ^[1-9]\d*$
            - type: 'null'
        productTypeId:
          anyOf:
            - type: string
              pattern: ^[1-9]\d*$
            - type: 'null'
        columnsAttributes:
          type: object
          propertyNames:
            type: string
            minLength: 1
            maxLength: 200
          additionalProperties:
            $ref: '#/components/schemas/MagicFillInputDto__schema0'
        clientTurnId:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        draftRevision:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        language:
          type: string
          enum:
            - en
            - de
            - es
            - fr
            - ja
            - zh
        dismissedFields:
          maxItems: 100
          type: array
          items:
            type: string
            maxLength: 200
        guidance:
          maxItems: 40
          type: array
          items:
            type: object
            properties:
              kind:
                enum:
                  - instruction
                  - requirement
                type: string
              text:
                type: string
                minLength: 1
                maxLength: 1000
              assigneeRoleGroupIds:
                maxItems: 5
                type: array
                items:
                  type: string
                  enum:
                    - mfg_vendors
                    - owners
                    - gc_sub
                    - warehouse
                    - facility_mgr
            required:
              - kind
              - text
              - assigneeRoleGroupIds
            additionalProperties: false
        dismissedGuidance:
          maxItems: 2
          type: array
          items:
            enum:
              - instruction
              - requirement
            type: string
      required:
        - itemId
        - version
        - name
        - categoryId
        - productTypeId
        - columnsAttributes
        - clientTurnId
        - draftRevision
        - language
        - dismissedFields
        - guidance
        - dismissedGuidance
      additionalProperties: false
    MagicFillResponseDto:
      type: object
      properties:
        status:
          enum:
            - completed
            - failed
          type: string
        draftRevision:
          type: number
        runIds:
          type: array
          items:
            type: string
        errorCode:
          type: string
        chargedCredits:
          type: string
        identity:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/MagicFillIdentityDto'
        fields:
          type: array
          items:
            $ref: '#/components/schemas/MagicFillFieldDto'
        guidance:
          type: array
          items:
            $ref: '#/components/schemas/MagicFillGuidanceDto'
        guidanceRevision:
          type: number
          nullable: true
      required:
        - status
        - draftRevision
        - runIds
    MagicFillInputDto__schema0:
      anyOf:
        - type: string
        - type: number
        - type: boolean
        - type: 'null'
        - type: array
          items:
            $ref: '#/components/schemas/MagicFillInputDto__schema0'
        - type: object
          propertyNames:
            type: string
          additionalProperties:
            $ref: '#/components/schemas/MagicFillInputDto__schema0'
    MagicFillIdentityDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        categoryId:
          type: string
          nullable: true
        productTypeId:
          type: string
          nullable: true
        evidence:
          type: string
      required:
        - name
        - categoryId
        - productTypeId
        - evidence
    MagicFillFieldDto:
      type: object
      properties:
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
            - type: array
              items:
                type: string
        slug:
          type: string
        confidence:
          type: number
        evidence:
          type: string
      required:
        - value
        - slug
        - confidence
        - evidence
    MagicFillGuidanceDto:
      type: object
      properties:
        kind:
          enum:
            - instruction
            - requirement
          type: string
        text:
          type: string
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
              - facility_mgr
      required:
        - kind
        - text
        - assigneeRoleGroupIds

````